NOVIDADE!

2 de mar de 2012

Linux - hplip, instalando mais de 2000 modelos de impressoras no Linux

A última versão do hplip (3.11.10) promete suporte para mais de 2000 modelos de impressoras. O diferencial deste tutorial é o passo-a-passo da utilização do instalador automático do pacote de drives.

Antes de baixar e instalar esta última versão do hplip, certifique-se de que sua distribuição já não possui um pacote compilado ou ainda, se já não está instalado.

No que se segue, estou utilizando uma versão do Ubuntu 10.04 LTS e compilando o pacote para uma HP LaserJet 1018.  Informo também que já existe a versão do hplip 3.10.2 para esta versão do Ubuntu.

Se você já tiver o hplip instalado no sistema, rode o comando abaixo para saber qual a versão.
$ dpkg -l | grep hplip
O instalador automático funciona nas seguintes distribuições Linux:
  • SUSE Linux (11,4, 12,1)
  • Fedora (15, 16)
  • Linux Mint (10, 11, 12)
  • Ubuntu (8,04, 10,04, 10,10, 11,04, 11,10)
  • Debian (5.0, 5.0.1, 5.0.2, 5.0.3, 5.0.4, 5.0.5, 5.0.6, 5.0.7, 5.0.8, 6.0, 6.0.1, 6.0.2, 6.0.3)
De qualquer forma, você só deve prosseguir com as dicas que se seguem se sua impressora não estiver sendo reconhecida pelo pacote disponível para sua distribuição, ou caso a nova versão do hplip disponibilize novos recursos para sua impressora.

Verifique AQUI se sua impressora é suportada por esta nova versão do hplip.

Removendo versão instalada:
A primeira coisa a se fazer, é remover todas as referências para os drives hplip instalados no sistema. Rode os comandos abaixo no terminal:

# apt-get purge hplip hplip-gui  
# apt-get autoremove -f
Agora, remova a referencia da impressora na lista de impressoras reconhecidas pelo sistema em:
Menu > Sistema > Administração > Impressão
Clique com botão direito sobre o ícone da impressora, caso ele exista e selecione "Excluir".

Baixando e configurando instalador:
Clique AQUI para baixar o instalador automático.
Finalizando o download, extraia os arquivos e rode o comando abaixo:
# sh hplip-3.11.10.run
- Escolha "Instalação Automática";
- Confirme com "Y" a versão da sua distribuição;
- Insira a senha de administrador ou Root;
- Aceite as notas da licença de instalação;
- Aguarde o download de dependências e solução de conflitos de pacotes;
- Selecione "Desplugar" e "Plugar" a impressora;
- Quando solicitado, desplugue e plugue novamente a impressora na entrada USB;
- Aguarde a impressora ser reconhecida e prossiga;

Se neste momento você receber um erro, siga novamente para:
Menu > Sistema > Administração > Impressão e proceda novamente com a remoção da impressora identificada pelo sistema.

Intale o pacote libhpmud-dev com o seguinte comando:
# apt-get install libhpmud-dev
Agora, descompacte o hplip-3.10.11-plugin.tar, acesse seu diretório e rode o seguinte comando:
hp-setup 
No assistente:
- Selecione a opção USB e prossiga;
- Na janela seguinte, confirme o modelo de sua impressora e prossiga;
- Informe novamente a senha de Root, caso seja solicitado;
- Aceite os termos e condições de instalação e prossiga;
- Marque a caixa "Send test page to the printer" e clique em "Add Printer" para imprimir uma página teste.

Em Menu > Sistema > Administração > Impressão você poderá configurar sua impressora e imprimir outras páginas para teste.

Referências:
configurar-una-hp-laserjet-1018-en.html (Ubuntu 11.10 com DeskJet 1018)

2 comentários:

  1. Prezado Sedan, não entendi esta sequencia. Poderia esclarecer, por favor? Obrigado.

    ... a última versão do HPLIP 3.12.2

    ... sh hplip-3.12.2.run

    ... extraia o pacote “hplip-3.10.11-plugin.tar

    ResponderExcluir
    Respostas
    1. Olá, amigo.

      Veja bem, ambos os arquivos "hplip-3.11.10" (driver) e "hplip-3.11.10-plugin" (firmware) estavam disponíveis no link do mediafire, meu link por sinal.

      Eu fiz questão de disponibilizar os arquivos, independente de ter ou não no site da HP, para que não acontecesse exatamente o que acontece com você, ou seja, o link original da HP para o plugin não existe mais, e não sei que (perdão da palavra) porra acontece, que não encontro o plugin mais em lugar nenhum na net. Já tô procurando ha quase 1 hora, pra corrigir a postagem.

      Pra variar, algum filho da puta (perdão novamente) deve ter denunciado o meu link do mediafire e por isso ele foi excluído.

      O que posso fazer, é pedir pra você ficar atento a esta postagem que eu verei se tenho essa merda de plugin guardado no meu note que tá no trampo. Se tiver, enfio essa merda na net novamente e com direito a backups de reserva.

      Se procurar pelo plugin na net, você perceberá que existem infinitos usuários de HP no Linux precisando desta merda de plugin que ninguém pensou em backupear crendo que a HP não ia nos foder (aliás, eu pensei... mas algum corno caguetou meu link). Já é foda arrumar suporte pro Linux, e ainda tem uns coroços pra atrasar o lado.

      O link que você vai encontrar de montão no google pra baixar essa merda é este abaixo, mas dá inválido.
      http://hplipopensource.com/hplip-web/plugin/hplip-3.11.10-plugin.tar

      De qualquer forma, veja bem, a versão atual do driver hoje, está na 3.12.4. Se baixar este driver, poderá tentar instalar sua impressora sem o plugin, pois, pelo menos não há referência de necessidade de plugin pra este driver. (aliás, nem sei se existe esse plugin na versão deste driver).

      Você pode seguir os procedimentos deste tutorial em inglês da própria HP e ver se tem sucesso:
      http://hplipopensource.com/hplip-web/install/install/index.html
      (note que já tem o link para a versão mais recente do driver tbm)

      Ou, aguarde até o meio da semana pra ver se consigo reuplar essa merda novamente. Eu te informo por aki mesmo.

      Abs, paciência e boa sorte!

      Excluir